| Home | Libraries | People | FAQ | More

## Struct template managed_weak_ptr

boost::interprocess::managed_weak_ptr

## Synopsis

    template<typename T, typename ManagedMemory>
    struct managed_weak_ptr {
      // types
      typedef weak_ptr< T, typename ManagedMemory::template allocator< void >::type, typename ManagedMemory::template deleter< T >::type > type;
    };

## Description

Returns the type of a weak pointer of type T with the allocator boost::interprocess::allocator allocator and boost::interprocess::deleter deleter that can be constructed in the given managed segment type.